Subject: Re: [E1000-devel] [net-next v4 7/8] i40e: sysfs and debugfs interfaces

From: John Fastabend <[email-masked]>
Date: Thu, 05 Sep 2013 16:38:15 -0700

On 9/5/2013 11:32 AM, Stephen Hemminger wrote:

[...]

>
> IMHO  attributes are a nice way of handling the VSI attributes since they
> seem hardware specific.  Not sure how to do the right thing with switching.
> Should it look like Macvlan, bridge, VXLAN, or something else.

I think if you add a new rtnl link type call it "VSI" then it looks very
similar to a macvlan which has been offloaded. Additionally you get all
the fdb and ndo ops that already exist for free.

I proposed something similar here,

http://comments.gmane.org/gmane.linux.network/237617

although as Ben pointed out I screwed up the implementation. I'll work
on updating this to submit when net-next opens again.

.John